﻿:root {
    --fs-base: calc(.4vw + .65vh + 1px);
    /* کوچک */
    --fs-xxs-5: calc(var(--fs-base) / 2);
    --fs-xxs-4: calc(var(--fs-base) / 1.8);
    --fs-xxs-3: calc(var(--fs-base) / 1.5);
    --fs-xxs-2: calc(var(--fs-base) / 1.4);
    --fs-xxs-1: calc(var(--fs-base) / 1.3);
    --fs-xs: calc(var(--fs-base) / 1.2);
    --fs-sm: calc(var(--fs-base) / 1.1);
    /* نرمال */
    --fs-md: var(--fs-base);
    /* بزرگ‌ها */
    --fs-lg: calc(var(--fs-base) * 1.1);
    --fs-xl: calc(var(--fs-base) * 1.2);
    --fs-xxl-1: calc(var(--fs-base) * 1.3);
    --fs-xxl-2: calc(var(--fs-base) * 1.4);
    --fs-xxl-3: calc(var(--fs-base) * 1.5);
    --fs-xxl-4: calc(var(--fs-base) * 1.8);
    --fs-xxl-5: calc(var(--fs-base) * 2);
}

body {
    font-family: 'B Nazanin';
    padding: 0;
    background-color: whitesmoke;
    display: flow;
    overflow: hidden;
}

.header {
    padding: 0%;
    text-align: center;
    background: white;
    height: 9.5%;
    border: solid;
    border-width: 1px;
    border-color: gray;
}

/*.HeaderText {
    display: inline-flex;
    align-items: center;
    height: 100%;
    margin-top: -0.2%;
    font-weight: bold;
    margin-right: 0;
    margin-left: 0;
}

.ArvinText {
    font-size: 23px;
    width: 80px;
    justify-content: center;
    font-family: "B Titr";
}*/

.HeaderText {
    display: inline-flex;
    align-items: center;
    height: 100%;
    margin-top: -0.2%;
    font-weight: bold;
    text-shadow: 0 0 15px;
    font-size: var(--fs-lg);
}

.ArvinText {
    font-size: var(--fs-xxl-5);
    width: 5.5vw;
    /*font-size: 30px;*/
    /*width: 80px;*/
    justify-content: center;
    font-family: "B Titr";
    text-shadow: 0 0;
}


.tooltip {
    position: absolute;
    top: 0;
    font-size: 14px;
    background: #fff;
    color: #fff;
    padding: 5px 8px;
    border-radius: 5px;
    box-shadow: 0 10px 10px rgba(0, 0, 0, 0.1);
    opacity: 0;
    pointer-events: none;
    transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}

    .tooltip::before {
        position: absolute;
        content: "";
        height: 8px;
        width: 8px;
        background: #fff;
        bottom: -3px;
        left: 50%;
        transform: translate(-50%) rotate(45deg);
        transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
    }

.element_has_tooltip:hover .tooltip {
    top: -40px;
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
}

.element_has_tooltip:hover span,
.element_has_tooltip:hover .tooltip {
    text-shadow: 0px -1px 0px rgba(0, 0, 0, 0.1);
}

    .element_has_tooltip:hover .tooltip::before,
    .element_has_tooltip:hover .tooltip {
        background-color: #89A8B2;
    }

.gray_fore_color {
    color: gray;
}

.displayNone {
    display: none !important;
}

.bg_lightCoral {
    background: lightcoral !important;
}

.BlackBackground {
    width: 100%;
    height: 100%;
    z-index: 202;
    border-radius: 10px;
    display: flex;
    direction: rtl;
    align-items: center;
    justify-content: center;
    background-color: #0000004c;
    /*------------------------*/
    /*display: none;*/
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100vw;
    height: 100vh;
    z-index: 100;
}

/*انیمیشن چشمک زن*/
@keyframes errorBlink {
    0% {
        box-shadow: rgba(255, 0, 0, 0.6) 0 0 15px 0 inset;
    }

    50% {
        box-shadow: rgba(255, 0, 0, 0) 0 0 15px 0 inset;
    }

    100% {
        box-shadow: rgba(255, 0, 0, 0.6) 0 0 15px 0 inset;
    }
}

.error_animation {
    animation: errorBlink .75s linear infinite;
}

.NoDataContainer {
    width: 100%;
    height: 100%;
    color: #d32f2f;
    font-family: B Titr;
    align-content: center;
    text-align:center;
    background-color: #ddd;
    font-size: var(--fs-lg);
}